
var jsValidarCampo = {
		
		matchLetra	: function(s){
			return s.match("^[a-zA-Z\(\)]+$");
		},
		
		isValidDate	: function (sText) {
		    
			if(sText=='')
				return true;
			else{
				var reDate = /(?:0[1-9]|[12][0-9]|3[01])\/(?:0[1-9]|1[0-2])\/(?:19|20\d{2})/;
				return reDate.test(sText);	
			}
		},

		isValidStringDate : function(str){
			
			var parts = str.split('/');
			if (parts.length < 3)
				return false;
			else {
				// INICIO: FMT-MTE01_2015015
				var day = parseInt(parts[0],10);
				var month = parseInt(parts[1],10);
				var year = parseInt(parts[2],10);
				// FINAL: FMT-MTE01_2015015
				
				if (isNaN(day) || isNaN(month) || isNaN(year)) {
					return false;
				}
				if (day < 1 || year < 1)
					return false;
				if(month>12||month<1)
					return false;
				if ((month == 1 || month == 3 || month == 5 || month == 7 || month == 8 || month == 10 || month == 12) && day > 31)
					return false;
				if ((month == 4 || month == 6 || month == 9 || month == 11 ) && day > 30)
					return false;
				if (month == 2) {
					if (((year % 4) == 0 && (year % 100) != 0) || ((year % 400) == 0 && (year % 100) == 0)) {
						if (day > 29)
							return false;
					} else {
						if (day > 28)
							return false;
					}      
				}
				return true;
			}
			
		},
		prePaste : function(obj,number){
			
			jQuery(obj).bind("paste",function(e) {
				var data;
				if(e.originalEvent.clipboardData)
					data = e.originalEvent.clipboardData.getData('Text');
				else if(window.clipboardData)
					data = window.clipboardData.getData('Text');
          		  
				if(data)
				{
					if(number)
	          		  {
	          			  if(!jQuery.isNumeric(data))
		        	        	  e.preventDefault();
	          			  /*else 
	          				  if(!decimal)
	          					  extractNumber(obj,0,false);*/
	          				  
	          		  }else
	          		  {
	          			  if(!jsValidarCampo.matchLetra(data))
		        	        	  e.preventDefault();    
	          		  }
				} 
      	    });
		},
		
		isLetra	:	function (e)    {	
            var k;
        	
            k = (document.all)? e.keyCode : e.which;
            return((k>64 && k<91)||(k>96 && k<123)||k==0 || k==32 || k==8  // (a-z) (A-Z) BARSPACE,BACKSPACE 
        	        || k==225 || k==233 || k==237 || k==243 || k==250 || k==241 || k==209 // á,é,í,ó,ú,ñ,Ñ
        			|| k==193 || k==201 || k==205 || k==211 || k==218 || k==39 ); // Á,É,Í,Ó,Ú,'			
        },
		
		blockNonNumbers	: function (obj, e, allowDecimal, allowNegative){
			   
		   	var key;
		   	var isCtrl = false;
		   	var keychar;
		   	var reg;
		   		
		   	if(window.event) {
		   		key = e.keyCode;
		   		isCtrl = window.event.ctrlKey;
		   	}
		   	else if(e.which) {
		   		key = e.which;
		   		isCtrl = e.ctrlKey;
		   	}
		   	
		   	if (isNaN(key)) return true;
		   	
		   	keychar = String.fromCharCode(key);
		   	
		   	// check for backspace or delete, or if Ctrl was pressed
		   	if (key == 8 || isCtrl)
		   	{
		   		return true;
		   	}
		
		   	reg = /\d/;
		   	var isFirstN = allowNegative ? keychar == '-' && obj.value.indexOf('-') == -1 : false;
		   	var isFirstD = allowDecimal ? keychar == '.' && obj.value.indexOf('.') == -1 : false;
		   
		   	return isFirstN || isFirstD || reg.test(keychar);
		   
	   },
	   
	   extractNumber	: function (obj, decimalPlaces, allowNegative){
			
		   var temp = obj.value;
			
			// avoid changing things if already formatted correctly
			var reg0Str = '[0-9]*';
			if (decimalPlaces > 0) {
				reg0Str += '\\.?[0-9]{0,' + decimalPlaces + '}';
			} else if (decimalPlaces < 0) {
				reg0Str += '\\.?[0-9]*';
			}
			reg0Str = allowNegative ? '^-?' + reg0Str : '^' + reg0Str;
			reg0Str = reg0Str + '$';
			var reg0 = new RegExp(reg0Str);
			if (reg0.test(temp)) return true;

			// first replace all non numbers
			var reg1Str = '[^0-9' + (decimalPlaces != 0 ? '.' : '') + (allowNegative ? '-' : '') + ']';
			var reg1 = new RegExp(reg1Str, 'g');
			temp = temp.replace(reg1, '');

			if (allowNegative) {
				// replace extra negative
				var hasNegative = temp.length > 0 && temp.charAt(0) == '-';
				var reg2 = /-/g;
				temp = temp.replace(reg2, '');
				if (hasNegative) temp = '-' + temp;
			}
			
			if (decimalPlaces != 0) {
				var reg3 = /\./g;
				var reg3Array = reg3.exec(temp);
				if (reg3Array != null) {
					// keep only first occurrence of .
					//  and the number of places specified by decimalPlaces or the entire string if decimalPlaces < 0
					var reg3Right = temp.substring(reg3Array.index + reg3Array[0].length);
					reg3Right = reg3Right.replace(reg3, '');
					reg3Right = decimalPlaces > 0 ? reg3Right.substring(0, decimalPlaces) : reg3Right;
					temp = temp.substring(0,reg3Array.index) + '.' + reg3Right;
				}
			}
			
			obj.value = temp;
		},
		
	esAlfaNumericoPro	:	function (e){
			  var k;    
			  k = (document.all)? e.keyCode : e.which;    
			  return ((k>47 && k<58)||(k>64 && k<91)||(k>96 && k<123)||k==0 || k==32 || k==8 
			   || k==225 || k==233 || k==237 || k==243 || k==250 || k==241 || k==209 // á,é,í,ó,ú,ñ,Ñ
			   || k==193 || k==201 || k==205 || k==211 || k==218  // Á,É,Í,Ó,Ú;
			   || k==58 || k==59 || k==46 || k==95 || k==44 || k==47 || k==45);  // : ; . _); 
			}
		
};

/*Script  -  SUBMIT*/

var jsSubmitValid = {
		
		preventSubmit	:	function (idButton){
			var submit;
			var idHtmlButton="";
			var submits= document.getElementsByTagName("input");
			for (var i = submits.length; i;) {
			    var sbm = submits[--i];
			    if (sbm.id.indexOf(idButton) > -1) {
			    	submit = sbm;
			    }
			}
			
			if(submit){
				submit.style.display="none";
				var td=submit.parentNode;
				var metod="validarDatos('"+idButton+"')";
				idHtmlButton="btn"+jsFormatField.capitaliseFirstLetter(idButton)+"Html";
				//td.innerHTML +='<input type="submit" onclick="'+metod+'" value="'+submit.value+'" />';
				//td.innerHTML ='<input type="submit" id="btn'+jsFormatField.capitaliseFirstLetter(idButton)+'Html" onclick="'+metod+'" value="'+submit.value+'" />'+td.innerHTML;
				td.innerHTML ='<input type="submit" id="'+idHtmlButton+'" value="'+submit.value+'" />'+td.innerHTML;
				
				/*jQuery('[id$='+idHtmlButton+']').click(function() {
      				validarDatos(idButton);
				});*/
			}
			
			return idHtmlButton;
		}
};


/*Script para el formateo de controles*/

var listaProperties=[{}];

var jsFormatField = {
		
		TYPE_CONTROL_TEXT	:	"TEXT",
		TYPE_CONTROL_NUMBER	:	"NUMBER",
		TYPE_CONTROL_DATE	:	"DATE",
		TYPE_CONTROL_ALFNUM	:	"ALFNUM",
		TYPE_CONTROL_COMBO	:	"COMBO",
		TYPE_CONTROL_CONTENTFILE	:	"CONTENTFILE",
		ID_CONTENT_MESSAGE	:	"idMensaje",
		
		doControlReset	:	function (){
							listaProperties=[{}];
						},
		doControlAdd 	: function (element){
    						listaProperties.push(element);
   						},
   						
		capitaliseFirstLetter	:	function (string){
				    	    return string.charAt(0).toUpperCase() + string.slice(1);
				    	},
		
    	doControlIDMessage	:	function (idControl) {
							return jsFormatField.ID_CONTENT_MESSAGE+jsFormatField.capitaliseFirstLetter(idControl);
						},
    	
    	doBindingHtml 	:	function (){			
				    		try {
				    			
				    			if(listaProperties.length>0){
									jQuery.each(listaProperties, function(i, item) {
					  					
										if(item.idControl!=undefined){
											
											var idElement=(item.idForm!='' && item.idForm!= null ? item.idForm+":":"")+item.idControl;
											var selector;
											if(item.idForm!='' && item.idForm!= null)
												selector= '[id="'+idElement+'"]';
											else
												selector= '[id$="'+idElement+'"]';
											
											if(item.autoControlMessage){
				      				    		
				      				    		var contrlElement= document.getElementById(jQuery(selector).attr('id'));
				      				    		var div=contrlElement.parentNode;
				      				    		div.innerHTML +='<div id="'+jsFormatField.doControlIDMessage(item.idControl)+'" ></div>';
				      				    		
				      				    	}
											if(item.onblur!= undefined && item.onblur ){
												jQuery(selector).attr('onblur', "jsFormatMessage.doValidContentMessageHide('"+item.idForm+"','"+item.idControl+"','"+item.typeControl+"');");	
											}
											
											if(item.rangeMax>0)
												jQuery(selector).attr('maxlength', item.rangeMax);
											
											switch(item.typeControl) {
						      				    case jsFormatField.TYPE_CONTROL_NUMBER:
						      				    	
						      				    	jQuery(selector).attr('onfocus', "jsValidarCampo.prePaste(this,true);");
						      				    	jQuery(selector).addClass("alineacionNumerico");
						      				    	
						      				    	if(item.decimal)
						      				    	{
						      				    		jQuery(selector).attr('onkeyup', "jsValidarCampo.extractNumber(this,"+item.sizedecimal+",false);");
						      				    		jQuery(selector).attr('onkeypress', "return jsValidarCampo.blockNonNumbers(this, event, true, false);");
						      				    	} else{
						      				    		jQuery(selector).attr('onkeyup', "jsValidarCampo.extractNumber(this,0,false);");
						      				    		jQuery(selector).attr('onkeypress', "return jsValidarCampo.blockNonNumbers(this, event, false, false);");
						      				    	}
						      				    		
						      				        break;
						      				    case jsFormatField.TYPE_CONTROL_TEXT:
						      				        
						      				    	jQuery(selector).attr('onfocus', "jsValidarCampo.prePaste(this,false);");
						      				    	jQuery(selector).attr('onkeypress', "javascript: return jsValidarCampo.isLetra(event);");
						      				    	
						      				        break;
						      				  	case jsFormatField.TYPE_CONTROL_DATE:
						      				  		
						      				  			jQuery(selector).removeClass("iceInpTxt").addClass("anchoFecha");
						      				  			jQuery(selector).datepicker({
								    	        			firstDay: 1,
															beforeShowDay: function (day) {
																var day = day.getDay();
																
																if (day == 6 || day == 0) {
																	return [true, "dp-highlight .ui-state-default"]
																} else {
																	return [true, "someothercssclass"]
																}
															}
								            			}).mask("99/99/9999");
						      				  			
						      				  			jQuery(selector).focusout(function() {

							      				  			var txtF = document.getElementById(jQuery(selector).attr('id'));
							    		      		  		
							      				  			if(txtF.value != '__/__/____'){
																var fTemp = txtF.value;
								      				  			if(!jsValidarCampo.isValidDate(txtF.value)){
									    		      		  		setTimeout(function(){
																		alert('Fecha no valida...!');
																		//txtF.value = '__/__/____';
								    		      		  				//txtF.focus();txtF.select();
																		txtF.value = fTemp;
								    				      	      	}, 1);								    		      		  		
								    				      	    }
							      				  			}
						      				  				
							    		      		  	});
							      				  
						      				        break;
						      				        
						      				  case jsFormatField.TYPE_CONTROL_COMBO:
						      				  		
					      				  			break;
					      				  			
						      				  case jsFormatField.TYPE_CONTROL_ALFNUM:
						      				        
						      					  	jQuery(selector).attr('onkeypress', "javascript: return jsValidarCampo.esAlfaNumericoPro(event);");
						      				    	break;
						      				        
						      				    default:
						      				        var numb=1;
						      				}
										}
										
					  				});
								}
				    			
				    		}
				    		catch(err) {
				    		    return "Error al cargar la página, "+err.message;
				    		}
				    		
				    		return "";							
						}
    	
		};


var	jsFormatMessage	=	{
		
		CSS_STYLE_ERROR		:	"inputError",
		CSS_MESSAGE_NUMBER	:	"cssMessageNumber",
		CSS_MESSAGE_TEXT	:	"cssMessageText",
		CSS_MESSAGE_DATE	:	"cssMessageDate",
		
		doMessageShow	:	function (idForm,idControl,typeControl,textMessage){
        	
        				var idElement=(idForm!='' && idForm!= null ? idForm+":":"")+idControl;
						var selector;
						if(idForm!='' && idForm!= null)
							selector= '[id="'+idElement+'"]';
						else
							selector= '[id$="'+idElement+'"]';
			
			        	switch(typeControl) {
						    
			        	case jsFormatField.TYPE_CONTROL_NUMBER:
						    	if(jQuery('[id="'+jsFormatField.doControlIDMessage(idControl)+'"]').length>0){
						    		jQuery('[id="'+jsFormatField.doControlIDMessage(idControl)+'"]').show();
							    	jQuery('[id="'+jsFormatField.doControlIDMessage(idControl)+'"]').addClass(jsFormatMessage.CSS_MESSAGE_NUMBER);
							    	jQuery('[id="'+jsFormatField.doControlIDMessage(idControl)+'"]').html(textMessage);	
						    	}else if(jQuery(selector).length>0){
						  			jQuery(selector).addClass(jsFormatMessage.CSS_STYLE_ERROR);
						    	}
						    	
						        break;
						    case jsFormatField.TYPE_CONTROL_TEXT:
						        
						    	if(jQuery('[id="'+jsFormatField.doControlIDMessage(idControl)+'"]').length>0){
						    		jQuery('[id="'+jsFormatField.doControlIDMessage(idControl)+'"]').show();
							    	jQuery('[id="'+jsFormatField.doControlIDMessage(idControl)+'"]').addClass(jsFormatMessage.CSS_MESSAGE_TEXT);
							    	jQuery('[id="'+jsFormatField.doControlIDMessage(idControl)+'"]').html(textMessage);	
						    	}else if(jQuery(selector).length>0){
						  			jQuery(selector).addClass(jsFormatMessage.CSS_STYLE_ERROR);
						    	}
						    	
						        break;
						  	case jsFormatField.TYPE_CONTROL_DATE:
						  		
						  		if(jQuery('[id="'+jsFormatField.doControlIDMessage(idControl)+'"]').length>0){
						  			jQuery('[id="'+jsFormatField.doControlIDMessage(idControl)+'"]').show();
							  		jQuery('[id="'+jsFormatField.doControlIDMessage(idControl)+'"]').addClass(jsFormatMessage.CSS_MESSAGE_DATE);
							  		jQuery('[id="'+jsFormatField.doControlIDMessage(idControl)+'"]').html(textMessage);	
						  		}else if(jQuery(selector).length>0){
						  			jQuery(selector).addClass(jsFormatMessage.CSS_STYLE_ERROR);
						    	}
						  		
						        break;
					        
					  		case jsFormatField.TYPE_CONTROL_CONTENTFILE:
						  		
					  			var divCont;
								var iframes= document.getElementsByTagName("iframe");
								for (var i = iframes.length; i;) {
								    var ifr = iframes[--i];
								    if (ifr.id.indexOf(idControl) > -1) {
								    	divCont = ifr;
								    }
								}
								
								if(divCont)
								{
									var div=divCont.parentNode;
									if(div.classList != 'undefined' && div.classList != undefined){
										div.classList.add(jsFormatMessage.CSS_STYLE_ERROR);
									}else{
										div.className = jsFormatMessage.CSS_STYLE_ERROR;
									}
									
								}
								
								break;
						        
						    default:
						    	
						    	if(jQuery('[id="'+jsFormatField.doControlIDMessage(idControl)+'"]').length>0){
						  			jQuery('[id="'+jsFormatField.doControlIDMessage(idControl)+'"]').show();
							  		jQuery('[id="'+jsFormatField.doControlIDMessage(idControl)+'"]').addClass(jsFormatMessage.CSS_MESSAGE_DATE);
							  		jQuery('[id="'+jsFormatField.doControlIDMessage(idControl)+'"]').html(textMessage);	
						  		}else if(jQuery(selector).length>0){
						  			jQuery(selector).addClass(jsFormatMessage.CSS_STYLE_ERROR);
						    	}
						    	
						    	break;
							}
        },
        
        doMessageHide	:	function (idForm,idControl,typeControl){
        	
        					var idElement=(idForm!='' && idForm!= null ? idForm+":":"")+idControl;
							var selector;
							if(idForm!='' && idForm!= null)
								selector= '[id="'+idElement+'"]';
							else
								selector= '[id$="'+idElement+'"]';
							
							
    						switch(typeControl) {
						    
					        	case jsFormatField.TYPE_CONTROL_CONTENTFILE:
								    	
						        		var divCont;
										var iframes= document.getElementsByTagName("iframe");
										for (var i = iframes.length; i;) {
										    var ifr = iframes[--i];
										    if (ifr.id.indexOf(idControl) > -1) {
										    	divCont = ifr;
										    }
										}
										
										if(divCont)
										{
											var div=divCont.parentNode;
											
											if(div.classList != 'undefined' && div.classList != undefined){
												div.classList.remove(jsFormatMessage.CSS_STYLE_ERROR);
											}else{
												div.className = '';
											}
											
										}	
								    	
								        break;
							    
								default:
									
										if(jQuery('[id="'+jsFormatField.doControlIDMessage(idControl)+'"]').length>0){
			        						jQuery('[id="'+jsFormatField.doControlIDMessage(idControl)+'"]').removeClass();
			    				        	jQuery('[id="'+jsFormatField.doControlIDMessage(idControl)+'"]').hide();	
			        					}else if(jQuery(selector).length>0){
			        						jQuery(selector).removeClass(jsFormatMessage.CSS_STYLE_ERROR);
			        					}
								
										break;
							}
        					
        },
        
        doValidContentMessageHide	:	function (idForm,idControl,typeControl){
        	
        	
	        	        	var idElement=(idForm!='' && idForm!= null ? idForm+":":"")+idControl;
							var selector;
							if(idForm!='' && idForm!= null)
								selector= '[id="'+idElement+'"]';
							else
								selector= '[id$="'+idElement+'"]';
							
				        	switch(typeControl) {
						    
				        	case jsFormatField.TYPE_CONTROL_NUMBER:
							    	
						        		if(jQuery(selector).val()!=''){
						        			if(jQuery('[id="'+jsFormatField.doControlIDMessage(idControl)+'"]').length>0){
						        				jQuery('[id="'+jsFormatField.doControlIDMessage(idControl)+'"]').removeClass();
								            	jQuery('[id="'+jsFormatField.doControlIDMessage(idControl)+'"]').hide();	
						        			}else
						        				jQuery(selector).removeClass(jsFormatMessage.CSS_STYLE_ERROR);
							        	}
							    	
							        break;
						    case jsFormatField.TYPE_CONTROL_TEXT:
							        
    							    	if(jQuery(selector).val()!=''){
						        			if(jQuery('[id="'+jsFormatField.doControlIDMessage(idControl)+'"]').length>0){
						        				jQuery('[id="'+jsFormatField.doControlIDMessage(idControl)+'"]').removeClass();
								            	jQuery('[id="'+jsFormatField.doControlIDMessage(idControl)+'"]').hide();	
						        			}else
						        				jQuery(selector).removeClass(jsFormatMessage.CSS_STYLE_ERROR);
							        	}
							    	
							        break;
							case jsFormatField.TYPE_CONTROL_DATE:
							  		
										if(jQuery(selector).val()!='' && jsValidarCampo.isValidDate(jQuery(selector).val())){
											if(jQuery('[id="'+jsFormatField.doControlIDMessage(idControl)+'"]').length>0){
						        				jQuery('[id="'+jsFormatField.doControlIDMessage(idControl)+'"]').removeClass();
								            	jQuery('[id="'+jsFormatField.doControlIDMessage(idControl)+'"]').hide();	
						        			}else
						        				jQuery(selector).removeClass(jsFormatMessage.CSS_STYLE_ERROR);	
							        	}
								  	
							        break;
							default:
								
										if(jQuery(selector).val()!=''){
						        			if(jQuery('[id="'+jsFormatField.doControlIDMessage(idControl)+'"]').length>0){
						        				jQuery('[id="'+jsFormatField.doControlIDMessage(idControl)+'"]').removeClass();
								            	jQuery('[id="'+jsFormatField.doControlIDMessage(idControl)+'"]').hide();	
						        			}else
						        				jQuery(selector).removeClass(jsFormatMessage.CSS_STYLE_ERROR);
							        	}
									break;
							}	        	
				        	
        }
        
};


var jsValidateEmpty = {
		idForm : "",
			
		muestraMensaje	: function ( idCampo, tipo, esVacio, msg ) {
			if( esVacio ){
        		jsFormatMessage.doMessageShow(this.idForm,idCampo,tipo,msg);
        	}else{
        		jsFormatMessage.doMessageHide(this.idForm,idCampo,tipo);
			}
		},
			
		toFecha	: function ( idCampo, tipo, msg ) {
			var estado = false;
			var valor = jsObjectUtils.getValue( idCampo );
			
			if( valor =="" ){
				estado = true;
			}else if( !jsValidarCampo.isValidDate( valor ) ){
				estado = true;
				msg = "Fecha no valida...!";
			}else{
				estado =  false;
			}
			
			this.muestraMensaje( idCampo, tipo, estado, msg);
			return estado;
		},		
		
		toTexto	:	function ( idCampo, tipo, msg ) {
			var estado = false;
			var valor = jsObjectUtils.getValue( idCampo );
			
			if( valor =="" || valor==null ){
				estado =  true;
			}else{
				estado =  false;
			}
			
			this.muestraMensaje( idCampo, tipo, estado, msg);
			
			return estado;
        },
		
		toNumero	:	function ( idCampo, tipo, msg ) {
			var estado = false;
			var valor = jsObjectUtils.getValue( idCampo );
						
			if( valor =="" || valor == null ){
				estado =  true;
			}else{
				if( valor >= 0 ){
					estado =  false;
				}else{
					estado =  true;
				}
			}
			
			this.muestraMensaje( idCampo, tipo, estado, msg);
			
			return estado;
        },
		
		toValMayor	:	function ( idCampo, tipo, msg, can ) {
			var estado = false;
			var valor = jsObjectUtils.getValue( idCampo );
			valor = (valor!="" && valor!=null)? valor:0;
			
			if( valor > can )
				estado =  true;
			else
				estado =  false;
			
			this.muestraMensaje( idCampo, tipo, estado, msg);			
			return estado;
        },
		
		toValMenor	:	function ( idCampo, tipo, msg, can ) {			
			var estado = false;
			var valor = jsObjectUtils.getValue( idCampo );
			valor = (valor!="" && valor!=null)? valor:0;
			
			if( valor < can )
				estado =  true;
			else
				estado =  false;
				
			this.muestraMensaje( idCampo, tipo, estado, msg);			
			return estado;
        },
		
		toValMayorIgual	:	function ( idCampo, tipo, msg, can ) {
			var estado = false;
			var valor = jsObjectUtils.getValue( idCampo );
			valor = (valor!="" && valor!=null)? valor:0;
			
			if( valor >= can )
				estado =  true;
			else
				estado =  false;
			
			this.muestraMensaje( idCampo, tipo, estado, msg);			
			return estado;
        },
		
		toValMenorIgual	:	function ( idCampo, tipo, msg, can ) {
			var estado = false;
			var valor = jsObjectUtils.getValue( idCampo );
			valor = (valor!="" && valor!=null)? valor:0;
			
			if( valor <= can )
				estado =  true;
			else
				estado =  false;
			
			this.muestraMensaje( idCampo, tipo, estado, msg);			
			return estado;
        },
		
		toLongMenor	:	function ( idCampo, tipo, msg, can, idCampoMarcar ) {
			var estado = false;
			var valor = null;
			
			if( jsObjectUtils.getValue( idCampo ) != null )
				valor = jsObjectUtils.getValue( idCampo ).length;
			
			if( valor!="" && valor!=null ){
				if( valor < can ){
					estado =  true;
				}else{
					estado =  false;
				}
			}else
				estado =  true;
			
			if( idCampoMarcar == "" && idCampoMarcar == null )
				this.muestraMensaje( idCampo, tipo, estado, msg);
			else
				this.muestraMensaje( idCampoMarcar, tipo, estado, msg);
			return estado;
        },
		
		toLongMayor	:	function ( idCampo, tipo, msg, can ) {
			var estado = false;
			var valor = null;
			if( jsObjectUtils.getValue( idCampo ) != null )
				valor = jsObjectUtils.getValue( idCampo ).length;
			
			if( valor!="" && valor!=null ){
				if( valor > can ){
					estado =  true;
				}else{
					estado =  false;
				}
			}else
				estado =  true;
			
			this.muestraMensaje( idCampo, tipo, estado, msg);			
			return estado;
        },
		
		toRowsMenor	:	function ( idCampo, tipo, msg, can, idCampoMarcar ) {
			var estado = false;
			var valor = jsObjectUtils.getRows( idCampo );
			
			if( valor!="" && valor!=null ){
				if( valor < can ){
					estado =  true;
				}else{
					estado =  false;
				}
			}else
				estado =  true;
			
			if( idCampoMarcar == "" && idCampoMarcar == null )
				this.muestraMensaje( idCampo, tipo, estado, msg);
			else
				this.muestraMensaje( idCampoMarcar, tipo, estado, msg);
			return estado;
        },
		
		toValIgualAndCondicion	:	function ( idCampo, tipo, msg, val, condicion ) {
			var estado = false;			
			var valor = jsObjectUtils.getValue( idCampo );
			
			if( valor!="" && valor!=null ){
				if( valor == val && condicion==true )
					estado =  true;
				else
					estado =  false;
			}
			this.muestraMensaje( idCampo, tipo, estado, msg);			
			return estado;
        },
		
		toArchivo	:	function ( idCampo, tipo, msg ) {
			var objeto = jQuery('a[id*="'+idCampo+'"]');
			var estado = false;
			
			if( objeto.length < 1 ){
				estado =  true;
			}else{
				estado =  false;
			}
			
			this.muestraMensaje( idCampo, tipo, estado, msg);
			
			return estado;
        }
};


var jsDateUtil = {	
	
	//ASANCHEZZ - INICIO
	createCalendar	: function (idCampo) {
		var selector = '[id$='+idCampo+']';
		jQuery(selector).each(function (i, elem) {
			var obj = jQuery(elem);
			if (! obj.hasClass("hasDatepicker")) {
				obj.siblings().each(function (j, elem2) {
					jQuery(elem2).remove();
				});
				obj.removeClass("iceInpTxt").addClass("anchoFecha");
				// INICIO: FMT-MTE01_2015015
				obj.datepicker({
					showOn: 'button',
					buttonText: 'Calendario',
					buttonImage: '/SeaceWeb-PRO/resources/images/custom/calendar.gif',
					buttonImageOnly: true,
					changeMonth: true,
					changeYear: true,
					yearRange:'2005:2025',					
					dateFormat: 'dd/mm/yy'
				}).mask("99/99/9999");
				// FINAL: FMT-MTE01_2015015
				obj.focusout(function() {
					var txtF = document.getElementById( obj.attr('id') );
					//JMATAMOROS - INICIO
					if(txtF.value == '__/__/____'){
						obj.removeClass("inputError");
					}
					//JMATAMOROS - FINAL
					
					if(txtF.value != '__/__/____'){
						var fTemp = txtF.value;
						if(!jsValidarCampo.isValidDate(txtF.value)){
							setTimeout(function(){
								//JMATAMOROS - INICIO
								obj.addClass("inputError");
								alert('Fecha no v\u00E1lida...!');
								//JMATAMOROS - FINAL
								
								//INICIO: FMT-MTE01_2015015
								txtF.value = fTemp;
								if(navigator.appVersion.indexOf("MSIE 8")>0){
									txtF.value = '';	
								}																
								//FINAL: FMT-MTE01_2015015
								
								
								
							}, 1);								    		      		  		
							//JMATAMOROS - INICIO
						}else if(!jsValidarCampo.isValidStringDate(fTemp)) {
								setTimeout(function(){
								//JMATAMOROS - INICIO
								obj.addClass("inputError");
								alert('Fecha no v\u00E1lida...!');
								//JMATAMOROS - FINAL
								txtF.value = fTemp;
								
								
							}, 1);
						}else {
							//obj.removeClass("inputError");
						}
						//JMATAMOROS - FINAL

					}
				});
			}
		});
	},
	//ASANCHEZZ - FIN
	
	createCalendarRow	: function ( idCampo, row ) {
		var selector = '[id$='+idCampo+']';
		var obj = jQuery(selector);
		if( obj == null )
			obj = jQuery(selector)[row];
		
		obj.removeClass("iceInpTxt").addClass("anchoFecha");
		obj.datepicker({
			firstDay: 1
		}).mask("99/99/9999");
				
		obj.focusout(function() {

			var txtF = document.getElementById( obj.attr('id') );
			
			if(txtF.value != '__/__/____'){
				var fTemp = txtF.value;
				if(!jsValidarCampo.isValidDate(txtF.value)){
					setTimeout(function(){
						alert('Fecha no valida...!');
						txtF.value = fTemp;
					}, 1);								    		      		  		
				}
				
			}
		});
	},
	
	isValidDate	: function (sText) {		    
		if(sText=='')
			return true;
		else{
			var reDate = /(?:0[1-9]|[12][0-9]|3[01])\/(?:0[1-9]|1[0-2])\/(?:19|20\d{2})/;
			return reDate.test(sText);	
		}
	},

};



var jsObjectUtils = {	
		
	get	: function ( id ) {
		var obj = document.getElementById( id );
		if( obj == null ){
			obj = jQuery('[id$='+id+']')[0];
			if( obj == null ){
				return null;
			}else{
				return jQuery('[id$='+id+']')[0];
			}			
		}else{
			return obj;
		}
	},
	
	get	: function ( id , tipo ) {
		var obj = null;
		if( tipo == 'ice' )
			obj = jQuery('[id$='+id+']');
		else if( tipo == 'html' )
			obj = document.getElementById( id );
		
		return obj;
	},
	
	getIndex	: function ( id, index ) {
		var obj = document.getElementById( id );
		if( obj == null ){
			obj = jQuery('[id$='+id+']')[index];
			if( obj == null ){
				return null;
			}else{
				return jQuery('[id$='+id+']')[index];
			}			
		}else{
			return obj;
		}
	},
	
	getValue	: function ( id ) {
		var obj = document.getElementById( id );
		if( obj == null ){
			return jQuery('[id$='+id+']').val();
		}else{
			return obj.value;
		}
	},
	setValue	: function ( id, value ) {
		var obj = document.getElementById( id );
		if( obj == null ){
			jQuery('[id$='+id+']').val( value );			
		}else{
			document.getElementById( id ).value = value;
		}
	},
	
	copiaValue	: function ( idOrigen, idDestino ) {
		this.setValue( idDestino, this.getValue( idOrigen ) );
	},
	
	getRows	: function ( id ) {
		var obj = document.getElementById( id );
		if( obj != null ){
			return obj.rows.length;
		}else{
			obj = jQuery('[id$='+id+']');
			if( obj != null ){
				return obj.length;
			}else{
				obj = jQuery('[id$='+id+']')[0];
				if( obj != null ){
					return obj.length;
				}else{
					return 0;
				}
			}
		}
	},
	
};

//ASANCHEZZ - INICIO
function contadorLetras(idFormOrigen, idFormDestino,cantidad){
	var valor = jsObjectUtils.getValue(idFormOrigen);
	document.getElementById(idFormDestino).innerHTML = valor.length + "/" + cantidad;
}
//ASANCHEZZ - FIN